Download it now!
Bug 128538 - Restart in safe mode: Open containig folder doesn't work and Show user profile gets a error message
Summary: Restart in safe mode: Open containig folder doesn't work and Show user profil...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high major
Assignee: Stephan Bergmann
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-11-01 17:00 UTC by charlie.it
Modified: 2020-01-27 12:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Error message (135.98 KB, image/png)
2019-11-01 17:33 UTC, charlie.it
Details

Note You need to log in before you can comment on or make changes to this bug.
Description charlie.it 2019-11-01 17:00:42 UTC
Description:
Using "Restart in safe mode", the next dialog box displays "Archive user profile". The command works, a .zip file is created, but the next "Open containig folder" option does not work.

In addition, the "Show user profile command gets an error message:
"(com.sun.star.lang.IllegalArgumentException) {{{Message =" XSystemShellExecute.execute, cannot process <file: /// Users / mac / Library / Application% 20Support / LibreOffice / 4 / user> ", Context = (com.sun.star.uno.XInterface) @ 0}}, ArgumentPosition = (short) 0} "

Steps to Reproduce:
1.Restart Libre Office in safe mode
2.Choose Advanced > Archive user profile
3.Choose Open containing folder
4.Choose Show user profile

Actual Results:
3. nothing
4. error message

Expected Results:
3. show folder
4. show user profile


Reproducible: Always


User Profile Reset: Yes



Additional Info:
In o.s. windows all works.
Comment 1 charlie.it 2019-11-01 17:33:05 UTC
Created attachment 155454 [details]
Error message
Comment 2 Alex Thurgood 2019-11-07 07:33:01 UTC
@charlie : which version of macOS ?
Comment 3 Alex Thurgood 2019-11-07 07:39:34 UTC
Never mind, I can confirm this on

Version: 6.3.1.2
Build ID: b79626edf0065ac373bd1df5c28bd630b4424273
Threads CPU : 4; OS : Mac OS X 10.15.1; UI Render : par défaut; VCL: osx; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 4 Alex Thurgood 2019-11-07 07:40:08 UTC
I don't know whether this ever worked properly, so not marking as a regression (yet).
Comment 5 Alex Thurgood 2019-11-07 07:42:28 UTC
Tested against macOS 10.14.6, same observations, so it isn't a Catalina-only problem.
Comment 6 Alex Thurgood 2019-11-07 07:45:39 UTC
The Open Config folder command works correctly with LO5472

as does the "Display user profile" link.



==>> regression
Comment 7 Alex Thurgood 2019-11-07 07:50:21 UTC
Reproduced back to LO6163

Works correctly with LO6062

Bibisect range between LO6062 and 6163.
Comment 8 charlie.it 2019-11-07 09:23:45 UTC
(In reply to Alex Thurgood from comment #2)
> @charlie : which version of macOS ?
macOS 10.12.6 Sierra
Comment 9 Xisco Faulí 2019-11-14 12:24:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d59ec4cd1660410fa1b18c50d2d83b1417a82ddc

author	Stephan Bergmann <sbergman@redhat.com>	2019-03-29 14:01:19 +0100
committer	Stephan Bergmann <sbergman@redhat.com>	2019-04-03 12:08:14 +0200
commit	d59ec4cd1660410fa1b18c50d2d83b1417a82ddc (patch)
tree	f42ff98ea0fec775c47ac277e6e79d1ace6363ec
parent	3b41abe6933046612c445f16c3879975eed650ba (diff)
Filter out problematic file URLs

Bisected with: bibisect-mac64-6.3

Adding Cc: to Stephan Bergmann
Comment 10 Commit Notification 2019-11-15 08:45:15 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1ff1466b055890b2ca0ff3a47262bc048ad78542

tdf#128538: Open filesystem directories in Finder after all

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Stephan Bergmann 2019-11-15 08:47:29 UTC
(In reply to Commit Notification from comment #10)
> Stephan Bergmann committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/commit/
> 1ff1466b055890b2ca0ff3a47262bc048ad78542
> 
> tdf#128538: Open filesystem directories in Finder after all

Backport requests to libreoffice-6-3 towards LO 6.3.4 at <https://gerrit.libreoffice.org/#/c/82757/> and to libreoffice-6-4 towards LO 6.4.0 at <https://gerrit.libreoffice.org/#/c/82756/>.
Comment 12 Commit Notification 2019-11-15 10:44:37 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/afdb8d4f8aaf373ef526d689386dbe004a44f013

tdf#128538: Open filesystem directories in Finder after all

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-11-15 11:50:14 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/a0505af64fb7a6b40546b4c6b205e6828cb04564

tdf#128538: Open filesystem directories in Finder after all

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Xisco Faulí 2019-11-18 09:07:40 UTC
Verified in

Version: 6.4.0.0.beta1+
Build ID: c2097477e3a43d75c170a6f7a5daf5dcb2169329
CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Stephan Bergmann, thanks for fixing this issue!
Comment 15 charlie.it 2019-11-18 09:46:28 UTC
(In reply to Xisco Faulí from comment #14)
> Verified in
> 
> Version: 6.4.0.0.beta1+
> Build ID: c2097477e3a43d75c170a6f7a5daf5dcb2169329
> CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
> Locale: en-US (en_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @Stephan Bergmann, thanks for fixing this issue!

The path is not yet available today
Comment 16 Xisco Faulí 2019-11-18 10:14:32 UTC
(In reply to charlie.it from comment #15)
> (In reply to Xisco Faulí from comment #14)
> > Verified in
> > 
> > Version: 6.4.0.0.beta1+
> > Build ID: c2097477e3a43d75c170a6f7a5daf5dcb2169329
> > CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
> > Locale: en-US (en_ES.UTF-8); UI-Language: en-US
> > Calc: threaded
> > 
> > @Stephan Bergmann, thanks for fixing this issue!
> 
> The path is not yet available today

Hi Charlie, you can use a daily build until LibreOffice 6.3.4 is released: https://dev-builds.libreoffice.org/daily/master/MacOSX-x86_64@tb81-TDF/current/